#include <string.h>
#include "eth_prop.h"
//  
//  MAC  
static TEthAddr EthernetMAC 		= {{0x34, 0x12, 0x78, 0x56 ,0xBC, 0x9A}};

//-----------------------------------------------------------------------------
//  IP  
static TIP4Addr EthernetIP 	= 	{{169, 254, 254, 172}};
//  
static TIP4Addr SubNetMask 	= 	{{255, 255, 0, 0}};
//  
static TIP4Addr Gateway 	=	{{169, 254, 254, 1}};

//-----------------------------------------------------------------------------
void ethprop_GetMAC(TEthAddr* pmac)
{
	memcpy(pmac, &EthernetMAC, sizeof(TEthAddr));
}

void ethprop_SetMAC(TEthAddr* pmac)
{
	memcpy(&EthernetMAC, pmac, sizeof(TEthAddr));	
}
//-----------------------------------------------------------------------------
void ethprop_GetIP(TIP4Addr* pip)
{
	memcpy(pip, &EthernetIP, sizeof(TIP4Addr));
}

void ethprop_SetIP(TIP4Addr* pip)
{
	memcpy(&EthernetIP, pip, sizeof(TIP4Addr));
}

//-----------------------------------------------------------------------------
void ethprop_GetMask(TIP4Addr* pmask)
{
	memcpy(pmask, &SubNetMask, sizeof(TIP4Addr));
}

void ethprop_SetMask(TIP4Addr* pmask)
{
	memcpy(&SubNetMask, pmask, sizeof(TIP4Addr));
}

//-----------------------------------------------------------------------------
void ethprop_GetGate(TIP4Addr* pgate)
{
	memcpy(pgate, &Gateway, sizeof(TIP4Addr));
}

void ethprop_SetGate(TIP4Addr* pgate)
{
	memcpy(&Gateway, pgate, sizeof(TIP4Addr));
}
