#include <string.h>
#include "itmr.h"
#include "console.h"
#include "wnds.h"
#include "main.h"
#include "keyboard.h"
//#define TEST_SEL_CNT (3)
/*
static char* selTest_S1[TEST_SEL_CNT] = { "sel1_1", "sel1_2", "sel1_3"};
static char* selTest_S2[TEST_SEL_CNT] = { "sel2_1", "sel2_2", "sel2_3"};
static TWESelector selTest1 = { selTest_S1, TEST_SEL_CNT, 0 };
static TWESelector selTest2 = { selTest_S2, TEST_SEL_CNT, 0 };
*/
BEGIN_WE_TABLE(ElemTable)
	DEFINE_WE(WET_BUTTON,   0, 0, 0, " ", 0)
	DEFINE_WE(WET_BUTTON,		0, 1, 0, ".UART", 0)  
	DEFINE_WE(WET_BUTTON,   0, 2, 0, ".Ethernet", 0)
  DEFINE_WE(WET_BUTTON,   0, 3, 0, "PS/2", 0)
	DEFINE_WE(WET_BUTTON,   0, 4, 0, "", 0)	
	DEFINE_WE(WET_BUTTON,   0, 5, 0, "ADC/DAC", 0)	
	DEFINE_WE(WET_BUTTON,   0, 6, 0, ". RS485", 0)	
	DEFINE_WE(WET_BUTTON,   0, 7, 0, ". CAN", 0)	
	DEFINE_WE(WET_BUTTON,   0, 8, 0, " WDT", 0)	
	DEFINE_WE(WET_BUTTON,   0, 9, 0, "", 0)	
	DEFINE_WE(WET_BUTTON,   0, 10, 0, "", 0)	
END_WE_TABLE()

static bool EventProc(unsigned int code, unsigned int data);

static TWnd Wnd = { WID_MAIN, ElemTable, EventProc, 0 };

static bool EventProc(unsigned int code, unsigned int data)
{
  switch (code) {
    case WE_DRAW:
      if (data == 0) {

      }
      break;
		case WE_ELEM_ACT:
			switch(Wnd.cur_elem){
				case 0:				
					wnd_TimeSet();
					break;
				case 1:
					wnd_Uart();
					break;
				case 2:
					//wnd_Ethernet();
					break;
				case 3:
					wnd_PS2();
					break;
				case 4:
					wnd_Enc();
					break;
				case 5:
					wnd_ADC();
					break;
				case 6:
					wnd_RS485Test();
					break;				
				case 7:
					wnd_CANTest();
					break;		
				case 8:
					wnd_WDTTest();
					break;
				case 9:
					wnd_Error();
					break;
				case 10:
					wnd_Version();
					break;
				default:
					break;
			}
			break;
  }

  return false;
}

void wnd_Main(void)
{ wnd_choose = 3;

	keyboard_Init();
  console_OpenWnd(&Wnd);
}
